;Filename: PsmCfg.s
;Part: ADuC702x.
;Created: 22/11/2004
;Updated: 28/06/2005
;Author: Barry Broderick
;This file is in beta sampling.

#include        <ADuC702x.IAR.equ>

; PsmCfg==========PsmCfg is used to configure PSMCON
; C Function prototype: int PsmCfg(int iEn, int iTP);
;iEn:{PsmOff,PsmOn}
;iTP:{Trip279,Trip307}
; User Interface:
;  Set iEn to PsmOn to enable the PSM
;  Set iTP to Trip279 to select 2.79V, or Trip307 to select 3.07V
;  Call PsmCon.
;  Returns 1
; Robustness:
; Side Effects:

                RSEG CODE
                MODULE PsmCfg
                PUBLIC PsmCfg
                CODE32

PsmCfg:  mov      r0,r0,LSL#1       ;Rotate r0 left by 1
         orr      r0,r0,r1,LSL#2    ;Rotate r1 left by 1, Or with r0
   
         mov      r3,#0xff0000      ;r3 = Z_BASE;
         orr      r3,r3,#0xff000000

         str      r0,[r3,#Z_PSMCON] ;Write to CON;
         mov      r0,#0x01
         bx       lr


                 ENDMOD PsmCfg 

                 END
        
